Memory behaving strangely
2015-11-08 04:21 PM - Rhenriques Henriques

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.12.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 21820
Description

Hi

First let me say that QGIS 2.12 is probably the most stable QGIS version ever under MacOSX. I'm using it in the latest update of El
Capitan and it's very stable. The only thing that worries me a bit is that, after some work done, if we edit a shapefile layer (attributes or
geometry), QGIS will take a long time to save. This will happen even with very simple layers. There's possible something to be done here
related with memory management. A restart in QGIS solve things but it would be better to avoid this. Despite this behavior, everything is
working great.

Cheers

R. Henriques

History

#1 - 2015-11-08 04:25 PM - Nathan Woodrow

Do you have any plugins enabled?

#2 - 2015-11-08 06:16 PM - Rhenriques Henriques

Yes Nathan, a lot of them. | need most of them all :-)

It can be a plugin that is causing this issue, yes. The problem is that it takes some dozen of minutes of work to notice any slowdown. So it will be difficult to
trace back the culprit by activate and deactivate sets of plug-ins. Do you have a possible suspect?

Cheers

R. Henriques

#3 - 2015-11-08 06:46 PM - Nyall Dawson

The "rectangles, ovals,..." plugin is one culprit I'm aware of

#4 - 2015-11-09 08:30 PM - Rhenriques Henriques

Hi Nyall

I've been working today without "rectangles, ovals..." installed. Did not work for too long but the problem did not show up again. In the next few days I'll be
working harder with QGIS and I'll have a chance to test if this was the cause.
Cheers

R. Henriques

#5 - 2015-11-10 12:35 AM - Giovanni Manghi
- Category set to Vectors

- Status changed from Open to Feedback

#6 - 2015-12-19 11:11 AM - Giovanni Manghi

- Resolution set to invalid
- Status changed from Feedback to Closed

closing for lack of feedback.
